Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.component
Interface Component<T extends ComponentConfig>

Type Parameters:
  `T` - the type of configuration

All Known Subinterfaces:
  Sequencer

All Known Implementing Classes:
  StreamSequencerAdapter

    public interface Component<T extends ComponentConfig>

The interface for a ModeShape component, which sequences nodes and their content to extract additional information from the information.

Implementations must provide a no-argument constructor.

Method Summary
`T` | `getConfiguration()` Return the configuration for this component, as supplied to the last `setConfiguration(ComponentConfig)` invocation.
`void` | `setConfiguration(T configuration)` This method allows the implementation to initialize and configure itself using the supplied `ComponentConfig` information, and is called prior to any other class to this object.

Method Detail

### setConfiguration

    void setConfiguration(T configuration)

  This method allows the implementation to initialize and configure itself using the supplied `ComponentConfig` information, and is called prior to any other class to this object. When this method is called, the implementation must maintain a reference to the supplied configuration (which should then be returned in `getConfiguration()`.

  Parameters:
    `configuration` - the configuration for the component

### getConfiguration

    T getConfiguration()

  Return the configuration for this component, as supplied to the last `setConfiguration(ComponentConfig)` invocation.

  Returns:
    the configuration, or null if not yet configured

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.